import { BootstrapTabs } from './../index';
import { BootstrapTabsAlignment, BootstrapTabsListType, BootstrapTabsStyleMode, BootstrapTabsTabType } from './../index';
import { AfterViewInit, ElementRef, OnInit, OnChanges, OnDestroy, SimpleChanges, EventEmitter } from '@angular/core';
import { BaseElement } from './smart.element';
import * as i0 from "@angular/core";
export { BootstrapTabsAlignment, BootstrapTabsListType, BootstrapTabsStyleMode, BootstrapTabsTabType, ElementRenderMode } from './../index';
export { Smart } from './smart.element';
export { BootstrapTabs } from './../index';
export declare class BootstrapTabsComponent extends BaseElement implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    constructor(ref: ElementRef<BootstrapTabs>);
    private eventHandlers;
    nativeElement: BootstrapTabs;
    /** @description Creates the component on demand.
     * @param properties An optional object of properties, which will be added to the template binded ones.
     */
    createComponent(properties?: {}): any;
    /** @description Sets the tabs alignment */
    get alignment(): BootstrapTabsAlignment | string;
    set alignment(value: BootstrapTabsAlignment | string);
    /** @description Enables or disables the tabs.  */
    get disabled(): boolean;
    set disabled(value: boolean);
    /** @description Sets the tabs fill */
    get fill(): boolean;
    set fill(value: boolean);
    /** @description Sets the tabs justified */
    get justified(): boolean;
    set justified(value: boolean);
    /** @description Sets or gets the tab type. */
    get listType(): BootstrapTabsListType | string;
    set listType(value: BootstrapTabsListType | string);
    /** @description Sets or gets the style mode of the tabs. */
    get styleMode(): BootstrapTabsStyleMode | string;
    set styleMode(value: BootstrapTabsStyleMode | string);
    /** @description Sets or gets the size mode of the element. */
    get sizeMode(): string;
    set sizeMode(value: string);
    /** @description Sets or gets the tab type . */
    get tabType(): BootstrapTabsTabType | string;
    set tabType(value: BootstrapTabsTabType | string);
    /** @description Show event.
    *  @param event. The custom event. 	*/
    onShow: EventEmitter<CustomEvent>;
    /** @description Shows an item
    * @param {HTMLElement} item. The tab item to be shown.
    */
    show(item: HTMLElement): void;
    get isRendered(): boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /** @description Add event listeners. */
    private listen;
    /** @description Remove event listeners. */
    private unlisten;
    static ɵfac: i0.ɵɵFactoryDeclaration<BootstrapTabsComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BootstrapTabsComponent, "bootstrap-tabs, [bootstrap-tabs]", ["bootstrap-tabs"], { "alignment": "alignment"; "disabled": "disabled"; "fill": "fill"; "justified": "justified"; "listType": "listType"; "styleMode": "styleMode"; "sizeMode": "sizeMode"; "tabType": "tabType"; }, { "onShow": "onShow"; }, never>;
}
